Node('ma02.config.sea.psi.ch',
     '1.8 Tesla horizontal cryomagnet',
)

Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for ma02.config',
    config='ma02.config',
    service='main',
)

Mod('tt',
    'frappy_psi.sea.LscDrivable', '',
    io='sea_main',
    meaning=['temperature_regulation', 27],
    sea_object='tt',
    sensor_path='tm',
    set_path='set',  
)

Mod('cc',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='cc',
)

Mod('nv',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='nv',
)

Mod('ln2fill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='ln2fill',
)

Mod('hepump',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hepump',
)

Mod('hemot',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='hemot',
)

Mod('mf',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='mf',
)

Mod('lev',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='lev',
)

Mod('hefill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hefill',
)

Mod('stick_io',
    'frappy_psi.phytron.PhytronIO',
    'dom motor IO',
    uri='ma02-ts.psi.ch:3003',
)

Mod('stickrot',
    'frappy_psi.phytron.Motor',
    'stick rotation, typically not used as omega',
    io='stick_io',
    encoder_mode='CHECK',
)
